import { ChordOptions } from '@antv/g2plot';
import { BaseChartProps } from '../../components/base';
import { Writeable } from '../../types';
export declare type ChordChartProps = Writeable<Omit<BaseChartProps<ChordOptions>, 'chart'> & ChordOptions>;
declare const ChordChart: import("vue-demi").DefineComponent<Writeable<Pick<BaseChartProps<ChordOptions>, "class" | "style" | "chartRef"> & ChordOptions>, {}, {}, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, import("vue-demi").EmitsOptions, string, import("vue-demi").VNodeProps & import("vue-demi").AllowedComponentProps & import("vue-demi").ComponentCustomProps, Readonly<{
    class: any;
} & {
    width?: number | undefined;
    height?: number | undefined;
    padding?: number | number[] | "auto" | undefined;
    appendPadding?: number | number[] | undefined;
    renderer?: "canvas" | "svg" | undefined;
    pixelRatio?: number | undefined;
    autoFit?: boolean | undefined;
    syncViewPadding?: boolean | import("@antv/g2/lib/interface").SyncViewPaddingFn | undefined;
    supportCSSTransform?: boolean | undefined;
    limitInPlot?: boolean | undefined;
    style?: string | import("vue-demi").CSSProperties | undefined;
    color?: string | string[] | ((datum: Record<string, any>) => string) | undefined;
    chartRef?: import("vue-demi").Ref<import("@antv/g2plot").Plot<ChordOptions> | null> | undefined;
    data?: import("@antv/g2plot").Data | undefined;
    label?: false | ({
        readonly fields?: string[] | undefined;
        readonly callback?: import("@antv/g2/lib/interface").LabelCallback | undefined;
        readonly formatter?: string | import("@antv/g-base").IGroup | import("@antv/g-base").IShape | import("@antv/g2/lib/interface").GeometryLabelContentCallback | undefined;
    } & import("@antv/g2/lib/interface").GeometryLabelCfg) | undefined;
    legend?: false | import("@antv/g2/lib/interface").LegendCfg | undefined;
    meta?: unknown;
    localRefresh?: boolean | undefined;
    theme?: unknown;
    tooltip?: false | import("@antv/g2plot").TooltipOptions | undefined;
    slider?: boolean | import("@antv/g2/lib/interface").SliderCfg | undefined;
    scrollbar?: boolean | import("@antv/g2/lib/interface").ScrollbarCfg | undefined;
    animation?: false | import("@antv/g2/lib/interface").AnimateOption | undefined;
    interactions?: import("@antv/g2plot/lib/types/interaction").Interaction[] | undefined;
    annotations?: import("@antv/g2plot/lib/types/annotation").Annotation[] | undefined;
    state?: import("@antv/g2/lib/interface").StateCfg | undefined;
    targetField?: string | undefined;
    weightField?: string | undefined;
    sourceField?: string | undefined;
    nodeWidthRatio?: number | undefined;
    nodePaddingRatio?: number | undefined;
    nodeSort?: ((a: Record<string, any>, b: Record<string, any>) => number) | undefined;
    nodeStyle?: import("@antv/g-base").ShapeAttrs | ((datum: Record<string, any>) => import("@antv/g-base").ShapeAttrs) | undefined;
    edgeStyle?: import("@antv/g-base").ShapeAttrs | ((datum: Record<string, any>) => import("@antv/g-base").ShapeAttrs) | undefined;
}>, {
    class: any;
}>;
export default ChordChart;
