"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

require("core-js/modules/es.function.name.js");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _vue = require("vue");

var _vueDemi = require("vue-demi");

var _g2plot = require("@antv/g2plot");

var _base = _interopRequireDefault(require("../../components/base"));

var LiquidChart = (0, _vueDemi.defineComponent)({
  name: 'LiquidChart',
  setup: function setup(props, ctx) {
    return function () {
      return (0, _vue.createVNode)(_base.default, (0, _vue.mergeProps)({
        "chart": _g2plot.Liquid
      }, ctx.attrs, props), null);
    };
  }
});
/* istanbul ignore next */

LiquidChart.install = function (app) {
  app.component(LiquidChart.name, LiquidChart);
};

var _default = LiquidChart;
exports.default = _default;