import "core-js/modules/es.function.name.js";
import { createVNode as _createVNode, mergeProps as _mergeProps } from "vue";
import { defineComponent } from 'vue-demi';
import { Line } from '@antv/g2plot';
import BaseChart from '../../components/base';
var LineChart = defineComponent({
  name: 'LineChart',
  setup: function setup(props, ctx) {
    return function () {
      return _createVNode(BaseChart, _mergeProps({
        "chart": Line
      }, ctx.attrs, props), null);
    };
  }
});
/* istanbul ignore next */

LineChart.install = function (app) {
  app.component(LineChart.name, LineChart);
};

export default LineChart;