import "core-js/modules/es.function.name.js";
import { createVNode as _createVNode, mergeProps as _mergeProps } from "vue";
import { defineComponent } from 'vue-demi';
import { Pie } from '@antv/g2plot';
import BaseChart from '../../components/base';
var PieChart = defineComponent({
  name: 'PieChart',
  setup: function setup(props, ctx) {
    return function () {
      return _createVNode(BaseChart, _mergeProps({
        "chart": Pie
      }, ctx.attrs, props), null);
    };
  }
});
/* istanbul ignore next */

PieChart.install = function (app) {
  app.component(PieChart.name, PieChart);
};

export default PieChart;